c-----------------------------------------------------
c  Note that all metric elements have both indices up!
c  Also note that the initial values must be changed in the rnpl source file!
c-----------------------------------------------------
      
      integer nx, ny, nz, jx, jy, jz
      real*8 pi

      pi = 3.14159265358979323846264338327950288419716939937510582d0
      nx = g1_nx
      ny = g1_ny
      nz = g1_nz

      do jx = 1 , nx
      do jy = 1 , ny
      do jz = 1 , nz
      
         sqrtming_np1(jx,jy,jz) =(8/(pi**3))* ( ( cos(pi*x(jx)/2) )**2) 
     &         * ( ( cos(pi*y(jy)/2) )**2)  * ( ( cos(pi*z(jz)/2) )**2) 

         gtt_np1(jx,jy,jz) = -1
         gtx_np1(jx,jy,jz) = 0
         gty_np1(jx,jy,jz) = 0                            
         gtz_np1(jx,jy,jz) = 0
         gxx_np1(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*x(jx)/2) )**4)
         gxy_np1(jx,jy,jz) = 0
         gxz_np1(jx,jy,jz) = 0
         gyy_np1(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*y(jy)/2) )**4)
         gyz_np1(jx,jy,jz) = 0
         gzz_np1(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*z(jz)/2) )**4)
         
         FF_np1(jx,jy,jz) = 0

        
         sqrtming_n(jx,jy,jz) =(8/(pi**3))* ( ( cos(pi*x(jx)/2) )**2) 
     &         * ( ( cos(pi*y(jy)/2) )**2)  * ( ( cos(pi*z(jz)/2) )**2) 

         gtt_n(jx,jy,jz) = -1
         gtx_n(jx,jy,jz) = 0
         gty_n(jx,jy,jz) = 0                            
         gtz_n(jx,jy,jz) = 0
         gxx_n(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*x(jx)/2) )**4)
         gxy_n(jx,jy,jz) = 0
         gxz_n(jx,jy,jz) = 0
         gyy_n(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*y(jy)/2) )**4)
         gyz_n(jx,jy,jz) = 0
         gzz_n(jx,jy,jz) = (4/(pi**2)) * ( ( cos(pi*z(jz)/2) )**4)
         
         FF_n(jx,jy,jz) = 0

      end do
      end do
      end do
